如何在Windows Vista或更高版本上运行Visual C ++ 6 IDE?

Modified on: Sat, 17 Nov 2018 02:00:02 +0800

打开项目或使用“打开”文件菜单时,Visual C ++ 6崩溃了

如何在不使用Windows XP模拟器/虚拟机/ Windows XP模式的情况下“强制”VC ++ 6在Windows 7下工作?

作者:user144773

最佳答案

要实现您的目标,您需要继续以下说明:

1)导航到VC ++ 6安装的安装目录

2)打开/ Common / MSDev98 / Bin /文件夹。

3)右键单击MSDEV.exe并选择“属性”。

4)选择ocmpatibility选项卡,然后选择“在兼容模式下运行此程序:”

从下拉菜单中选择Windows 98 / me(Windows XP SP3也能正常工作)

5)选中“以管理员身份运行”

6)应用更改并启动MSDEV.exe

7)选择工具>选项

8)在编辑器选项卡中,您必须在“保存选项”和“语句完成选项”中取消选中所有选项卡

9)单击“确定”

10)选择工具>再次选择

11)在兼容性选项卡中,确保在“Developer Studio”中有“Current source editor emulation:”下拉框

12)仅检查“启用无选择复制”和“双击对话框编辑器编辑代码(仅限MFC)”

13)单击确定

14)选择工具>再次选择

15)在“工作区”选项卡中,确保仅检查以下项目(可能是):“显示状态栏”,“输出”,“工作区”

16)单击确定

17)关闭IDE

18)转到Visual C ++安装目录,然后转到/ Common / MSDev98 / Bin / IDE /

19)删除以下文件:DEVDBG.PKG(YES DELETE,或者至少将其移到桌面,远离VC ++ 6)

20)创建DEVCPP.PKG的COPY

21)将创建的副本重命名为DEVDBG.PKG

22)在windows vista / 7/8下使用Visual Studio C ++ 6获得乐趣

注意:您无法使用“打开文件”菜单。您必须通过右键单击.DSP文件(如果没有关联)加载项目并选择使用MSDEV.exe打开

其他一些东西可能也不行,但我至少设法在W7x64上使用VC ++ 6.0 IDE(我无法以某种方式应用补丁:()

建立一些高级项目就像一个魅力!

(如果VC ++ 6询问您使用哪个“两个C ++”版本,请选择第一个版本!)

更新:
由于这篇文章可能会修复菜单崩溃错误:

http://support.microsoft.com/kb/231655

如果一切正常,您应该在windows vista / 7/8安装中使用VC ++ 6.0的工作版本。

请注意编译器始终有效,它只是有时崩溃的IDE。 (我们现在试着解决它)

更新2:

如果您设法安装SP6(我将其安装在虚拟xp机器中,然后将更新的文件复制回我的Windows 7主机),那么更多的问题将会消失。

作者:,community wiki,5 revs
The Pet

相关问答

添加新评论